TEMPLATE      = lib
TARGET        = rm_mingw

QT           += opengl

CONFIG       += thread exceptions rtti stl opengl debug_and_release
DEFINES     += _STLP_USE_OWN_NAMESPACE QT_DLL RM_WIN _NO_PTHREADS


INCLUDEPATH  += ../include

HEADERS += ../include/rm/rm.h    \
	../include/rm/rmaux.h    \
	../include/rm/rmcmpmgr.h \
	../include/rm/rmcr.h     \
	../include/rm/rmdeflts.h \
	../include/rm/rmdefs.h   \
	../include/rm/rmi.h      \
	../include/rm/rmjpeg.h   \
	../include/rm/rmpipe.h   \
	../include/rm/rmppm.h    \
	../include/rm/rmps.h     \
	../include/rm/rmpublic.h \
	../include/rm/rmthread.h \
	../include/rm/rmtypes.h  \
	../include/rm/rmv.h      \
	../include/rm/rmvdefs.h  \
	../include/rm/rmvmap.h   \
	../include/rm/rmvpub.h   \
	../include/rm/rmw.h      \
	../include/rm/rmx.h

SOURCES       = rmarray.c \
	rmbitmap.c \
	rmcamera.c \
	rmclip.c \
	rmcmpmgr.c \
	rmcr.c \
	rmdefaults.c \
	rmdraw1.c \
	rmdraw2.c \
	rmerror.c \
	rmfog.c \
	rmframe.c \
	rmglobal.c \
	rmglu.c \
	rmimage.c \
	rminit.c \
	rmlinpk.c \
	rmlites.c \
	rmmalloc.c \
	rmmatrix.c \
	rmmtdraw.c \
	rmmtview.c \
	rmnode.c \
	rmogl.c \
	rmomesh.c \
	rmpick.c \
	rmpipe.c \
	rmprim.c \
	rmps.c \
	rmpssort.c \
	rmqdrix.c \
	rmrstate.c \
	rmscene.c \
	rmserial.c \
	rmstats.c \
	rmtext.c \
	rmthread.c \
	rmtime.c \
	rmtxture.c \
	rmutil.c \
	rmversion.c \
	rmvmap.c \
	rmwin.c \
	rmwtext.c \
	rmx.c \
	rmxtext.c \
	barrier.c
