#ifndef ABSTRACTS_H
#define ABSTRACTS_H

#include "Command.h"

namespace MM
{
    class Cloneable_command : public Command 
    {
    public:
        virtual Command *               clone   () const =0;
    };

    class Show_protocol         : public Cloneable_command {};
    class Show_information      : public Cloneable_command {};
    class Show_monitor          : public Cloneable_command {};
    class Show_geometry         : public Cloneable_command {};
    class Show_model_movement   : public Cloneable_command {};
    class Set_Z_viewpoint       : public Cloneable_command {};
    
    //class Add_model_dialog : public Cloneable_command {};

}//MM

#endif //ABSTRACTS_H

