#ifndef COMPOSITE_INTERACTION_H
#define COMPOSITE_INTERACTION_H

#ifndef INTERACTION_H
#include "Interaction.h"
#endif

#ifndef ARRAY_OF_OWN_H
#include "Array_of_own.h"
#endif

namespace MM
{

class Composite_interaction : public Interaction
{
    Array_of_own <Interaction>      interaction_;

public:
    double      potential ();
    void        add_force ();
    void        report (Text *result, Text const & hint);

    Text        title () const {return "Composite_interaction";}
    void        adopt (Interaction *adoptee);
};

}//MM

#endif //COMPOSITE_INTERACTION_H
