#ifndef MOLMECCANO_APPLICATION_H
#define MOLMECCANO_APPLICATION_H

#ifndef OWN_H
#include "Own.h"
#endif

#ifndef QT_APPLICATION_H
#include "Qt_application.h"
#endif

//#include <QAssistantClient>
 
namespace MM
{
class Qt_menu_control;
class Qt_command;
class Qt_command_bool;

class MolMeccano_application : public Qt_application
{
    Own <Qt_menu_control>           file_control_;
    Own <Qt_menu_control>           edit_control_;
    Own <Qt_menu_control>           build_control_;
    Own <Qt_menu_control>           compute_control_;
    Own <Qt_menu_control>           package_control_;
    Own <Qt_menu_control>           tools_control_;
    Own <Qt_menu_control>           test_control_;

    Own <Qt_command>                new_command_;
    Own <Qt_command>                open_command_;
    Own <Qt_command>                add_command_;
    Own <Qt_command>                pull_on_command_;
    Own <Qt_command>                save_command_;
    Own <Qt_command>                save_all_command_;
    Own <Qt_command>                save_as_command_;
    Own <Qt_command_bool>           synchonize_folders_command_;
    Own <Qt_command_bool>           files_with_comments_command_;
    Own <Qt_command>                exit_command_;
    Own <Qt_command_bool>           toggle_scroll_bars_command_;
    Own <Qt_command>                m_dyna_mix_command_;

    Own <Qt_command>                contents_command_;
    Own <Qt_command>                about_command_;

//    QAssistantClient *assistantClient;

public:
    MolMeccano_application (int argc, char * argv[]);
    ~MolMeccano_application ();

    virtual void            init ();

private:
    void    init_main_window ();
    void    init_menu  ();
    void    clear_menu ();
};

}//MM

#endif //MOLMECCANO_APPLICATION_H
