#include "Qt_application.h"
//Added by qt3to4:
#include <QTextStream>

#include "Log.h"

#include "Create.h"
#include "Path.h"
#include "Prototype_repository.h"
#include "Form_main_window.h"

//#include <qapplication.h>
//#include <q3mainwindow.h>
#include <QApplication>

#include <qwidget.h>
#include <qfile.h>

#include <rm/rm.h>

namespace MM
{

Qt_application::
Qt_application (int argc, char* argv[])
:
    name_       (argv[0]),
    //impl_       (new QApplication (argc, argv)),
    impl_       (qApp),
    main_window_(0)
{
    Prototype_repository::singleton().refer(this);  
    //Prototype_repository::singleton().adopt(this); //fix crash

//    QMainWindow *w = new QMainWindow;
//    w->show ();

    //QCoreApplication *app = QCoreApplication::instance();
    main_window_ = new Form_main_window;
//    main_window_->parent()->show();
    main_window_->parent()->showMaximized ();
}

Qt_application::
~Qt_application()
{
    delete main_window_;
    delete impl_;

    rmFinish();
}

Text const & Qt_application::
name () const
{
    return name_;
}

void Qt_application::
init ()
{
    //REQUIRE ("", main_window_ == 0);
    //main_widget_ = new QMainWindow ();

  
    //main_window_ = new Form_main_window;
    //main_window_ = new Form_main_window (0, "MolMeccano");
    //impl_->setMainWidget (main_window_->parent());

    rmInit(); //fix

    /*FreeConsole();
    AllocConsole();
    SetConsoleActiveScreenBuffer (0);
    FILE * p = _popen("!md.exe", "wt");

    log () << "_popen(/""!md.exe/"", /""wt/"") " << p << "\n";//*/
}

int Qt_application::
run ()
{
    init ();
    //main_window_ = new Form_main_window;
//    QMainWindow *w = new QMainWindow;
//    w->show ();
//return 0;
//    return qApp->exec();
//return 0;
    

    while (!task_.empty())
    {
        Command *current_task = task_.front();
        task_.pop();
        current_task->execute();
        delete current_task;
    }//*/
/* //fix
    {
        QFile file ((Path::bin() + ".main_window_layout.txt").c_str());
		if (file.open (QIODevice::ReadOnly)) 
		{
			QTextStream stream (&file);
			stream >> *(main_window_->parent());
			file.close ();
		}
	}//*/

    ///main_window_->parent()->show();
//return 0;
//    main_window_->parent()->showMaximized ();
    int result = impl_->exec();

    /* //fix{
		QFile file ((Path::bin() + ".main_window_layout.txt").c_str());
		if (file.open( QIODevice::WriteOnly)) 
	    {
			QTextStream stream (&file);
			stream << *main_window_->parent();
			file.close ();
		}
	}//*/

    return result;
}

Qt_application & Qt_application::
singleton ()
{
    return MM::singleton <Qt_application> ();
}

}//MM



