#ifndef QT_COMMAND_H
#define QT_COMMAND_H

#ifndef COMMAND_H
#include "Command.h"
#endif

#ifndef OWN_H
#include "Own.h"
#endif

#include <qobject.h>

namespace MM
{

class Qt_command : public QObject, public Command
{
    Q_OBJECT

    Own <Command>           impl_;

public:
    Qt_command (Command * command)
        : impl_(Own <Command> (command)) { }

    Qt_command (QObject * parent, Command * command)
        : QObject(parent), impl_(Own <Command> (command)) { }

public slots:
    virtual void execute() {impl_().execute();}
};

}//MM

#endif //QT_COMMAND_H
