// 
// This file is part of MolMeccano, a cross-platform C++ chemical library.
//
// Copyright (C) 2001-2007 Alexey Nikitin
//

#ifndef QT_TEXT_OUTPUT_H
#define QT_TEXT_OUTPUT_H

#ifndef TEXT_OUTPUT_H
#include "Text_output.h"
#endif

#ifndef QDIALOG_H
#include <qdialog.h> 
#endif

class Q3TextView;

namespace MM
{

class Text;

class Qt_text_output : public Text_output, public QDialog
{
    Q3TextView   *text_view_;

public:
    Qt_text_output( QWidget * parent=0, const char * name=0 ); 

    virtual Text_output & text( const Text & );
    virtual Text_output & line( const Text & );
};

}//MM

#endif //QT_TEXT_OUTPUT_H

