TEMPLATE      = lib
TARGET        = rmv_mingw

QT           += opengl

CONFIG       += thread exceptions rtti stl opengl debug_and_release
DEFINES     += _STLP_USE_OWN_NAMESPACE QT_DLL RM_WIN _NO_PTHREADS


INCLUDEPATH  += ../include
LIBS         += ../lib/librm_mingw.a  

HEADERS += ../include/rm/rm.h    \
	../include/rm/rmaux.h    \
	../include/rm/rmcmpmgr.h \
	../include/rm/rmcr.h     \
	../include/rm/rmdeflts.h \
	../include/rm/rmdefs.h   \
	../include/rm/rmi.h      \
	../include/rm/rmjpeg.h   \
	../include/rm/rmpipe.h   \
	../include/rm/rmppm.h    \
	../include/rm/rmps.h     \
	../include/rm/rmpublic.h \
	../include/rm/rmthread.h \
	../include/rm/rmtypes.h  \
	../include/rm/rmv.h      \
	../include/rm/rmvdefs.h  \
	../include/rm/rmvmap.h   \
	../include/rm/rmvpub.h   \
	../include/rm/rmw.h      \
	../include/rm/rmx.h

SOURCES       = \
	rmvbivar.c \
	rmvcontour.c \
	rmverrplot.c \
	rmvgrid2d.c \
	rmvidsfft.c \
	rmviso.c \
	rmvmarker2d.c \
	rmvmesh.c \
	rmvmeshv.c \
	rmvsignal.c \
	rmvutil.c
