#ifndef INTERACTION_H
#define INTERACTION_H

#ifndef ARRAY_OF_H
#include "Array_of.h"
#endif

#ifndef TEXT_H
#include "Text.h"
#endif

namespace MM
{

class Interaction
{
public:
    virtual                ~Interaction () {}

    virtual double          potential () =0;
    virtual void            add_force () =0;
    //virtual void        add_force (Array_of<double> &result) =0;

    virtual Text            title () const =0;
    virtual void    report (Text *result, Text const & hint = Text("Full")) =0;
};

}//MM

#endif //INTERACTION_H
