#ifndef MASS_CENTER_H
#define MASS_CENTER_H

namespace MM
{
class Atom_group;
class Point_3D;

class Mass_center
{
    Atom_group &  group_;

public:
    explicit    Mass_center (Atom_group & group) : group_(group) {}
    void        evaluate (Point_3D & mass_center) const;
    void        set (Point_3D const& new_center);
};

}//MM

#endif //MASS_CENTER_H
