#ifndef FORM_MONITORS_H
#define FORM_MONITORS_H

#ifndef UI_FORM_MONITORS_H
#include "ui_Form_monitors.h"
#endif

#ifndef DYNAMIC_SINGLETON_H
#include "Dynamic_singleton.h"
#endif

namespace MM
{

class Form_monitors
:
     public QWidget
    ,public Ui::Form_monitors
    ,public Dynamic_singleton <Form_monitors>
{
    Q_OBJECT

    friend class Dynamic_singleton <Form_monitors>;
    Form_monitors ();

public:

    static  void            pop_up ();

public slots:
    void                    show_details   (const QModelIndex &);
    void                    switch_details (const QModelIndex &);
};

}//MM

#endif //FORM_MONITORS_H
