#ifndef MODEL_AS_MD_SUBJECT_H
#define MODEL_AS_MD_SUBJECT_H

#ifndef MD_SUBJECT_H
#include "MD_subject.h"
#endif

#ifndef MASS_H
#include "Mass.h"
#endif

#ifndef OWN_H
#include "Own.h"
#endif

//#ifndef ATOM_GROUP_AS_MD_SUBJECT_H
//#include "Atom_group_as_md_subject.h"
//#endif

namespace MM
{
class Model;
//class Interaction;

class Model_as_md_subject : public MD_subject
{
    Model &                     model_;
    Own <Mass>                  masses_;
    //Interaction &               interaction_;
    //Atom_group_as_md_subject    atom_group_as_md_subject_;

public:
    explicit Model_as_md_subject (Model & model);

    virtual void        kick      (double dT);
    virtual void        drift     (double dT);

private:
    void                update_interactions ();
};

}//MM

#endif //MODEL_AS_MD_SUBJECT_H
