#ifndef LOCK_H
#define LOCK_H

namespace MM
{

template <typename T>
class Lock
{
    T &         obj_;
public:
    explicit    Lock (T & obj) : obj_(obj)  {obj_.set_lock (true); }
    virtual    ~Lock ()                     {obj_.set_lock (false);}
};

}//MM

#endif //LOCK_H
