#include "Analyse_module.h"

#include "Abstracts.h"
#include "Create.h"

namespace MM
{
Analyse_module  Analyse_module::singleton_;

Analyse_module::Analyse_module() : Module ("Analyse") { }

void Analyse_module::
init ()
{
    adopt_command (prototype <Show_information>().clone())
        .set_icon ("info.png")
        .set_menu        ("&Analyse", "&Information");

    adopt_command (prototype <Show_geometry>().clone())
        .set_menu        ("&Analyse", "&Geometry");

    //insert_menu_separator ("&Analyse");
}

}//MM
