#include "ValidatedTableItem.h"

#include <qvalidator.h>
#include <qlineedit.h>

ValidatedTableItem::
ValidatedTableItem (Q3Table *        table,
                    EditType        et,
                    const QString & txt,
                    QValidator *    validator)
:
    Q3TableItem (table, et, txt),
    validator_(validator)//,
    //editor_(0)
{
}

int ValidatedTableItem::RTTI = 10001248;

int ValidatedTableItem::
rtti() const
{
    return RTTI;
}

QWidget * ValidatedTableItem::
createEditor () const
{
    //3 QLineEdit *editor = ::qt_cast <QLineEdit*> (Q3TableItem::createEditor ());
    QLineEdit *editor = ::qobject_cast <QLineEdit*> (Q3TableItem::createEditor ());
    if (validator_ != 0)
        editor->setValidator (validator_);
    return editor;
}

/*void ValidatedTableItem::
setContentFromEditor( QWidget *w )
{
    //QLineEdit *editor = ::qt_cast <QLineEdit*> (w);
    QLineEdit *cb = ::qt_cast <QLineEdit*> (w);

    if (cb)
    {
        setText (cb->text());
    }
}//*/
