#ifndef QT_APPLICATION_H
#define QT_APPLICATION_H

#ifndef APPLICATION_H
#include "Application.h"
#endif

//#ifndef OWN_H
//#include "Own.h"
//#endif

class QApplication;

namespace MM
{
class Form_main_window;

class Qt_application : public Application
{
protected:
    Text                    name_;
    QApplication            *impl_;
    Form_main_window        *main_window_;

public:    
    Qt_application (int argc, char* argv[]);
    ~Qt_application();

    virtual Text const &    name () const;
    virtual void            init () ;
    virtual int             run ();

    Form_main_window &      main_window () {return *main_window_;}
    
    static Qt_application & singleton ();                  //fix to Application
};

}//MM

#endif //QT_APPLICATION_H
